# pion::plugins::EchoService Class Reference

`#include <EchoService.hpp>`

Inherits pion::net::WebService.

List of all members.

## Detailed Description

EchoService: web service that echos back requests (to test request parsing)

Definition at line 22 of file EchoService.hpp.

## Public Member Functions

| EchoService (void)
virtual | ~EchoService ()
virtual void | operator() (pion::net::HTTPRequestPtr &request, pion::net::TCPConnectionPtr &tcp_conn)
| handles requests for EchoService

The documentation for this class was generated from the following files:

- net/services/EchoService.hpp
- net/services/EchoService.cpp